Cyberduck Mountain Duck CLI

#6567 closed defect (fixed)

Cannot login to FTP with empty password

Reported by: czechxteam Owned by:
Priority: low Milestone: 4.3
Component: ftp Version: 4.2.1
Severity: minor Keywords:
Cc: Architecture:
Platform: Mac OS X 10.7

Description

How to reproduce
On any server create FTP account with username but empty password. Create bookmark in Cyberduck and try to connect. In login window you enter username and leave password field empty. Click to Login button.

Current state
Nothing happens – you must enter any password (at least one character).

Wanted state
You can login to FTP with username but without password.

Workaround
Create password on server side or use another FTP client (Filezilla).

Note
Anonymous login has special Username, you can't use it as workaround.
This might occure in all FTP-like (SFTP/FTP-SSL) connection.

Change History (5)

comment:1 Changed on Mar 1, 2012 at 9:12:50 AM by dkocher

The following workaround should work. Enter any character in the password prompt field and thereafter deleting it again. The password will then be set to an empty string.

comment:2 Changed on Mar 1, 2012 at 12:33:39 PM by czechxteam

Yes, David your workaround works perfect :-)

comment:3 Changed on May 9, 2012 at 9:34:56 AM by dkocher

  • Component changed from core to ftp
  • Resolution set to worksforme
  • Status changed from new to closed

comment:4 Changed on May 9, 2012 at 11:29:40 AM by czechxteam

  • Priority changed from high to low
  • Resolution worksforme deleted
  • Severity changed from major to minor
  • Status changed from closed to reopened

It would be better to fix it :-(

comment:5 Changed on Oct 10, 2012 at 8:26:35 PM by dkocher

  • Milestone set to 4.2.2
  • Resolution set to fixed
  • Status changed from reopened to closed

In r10032.

Note: See TracTickets for help on using tickets.
swiss made software